program TRANSPORT;

{$APPTYPE CONSOLE}

uses
  SysUtils;

var n,m,i,te,ta,j,max,a,l,v,t:integer;
time1,d:real;
x:array[1..100] of integer;
s:array[1..100] of integer;
y:array[1..100] of integer;
k:array[1..100] of real;
begin

assignfile(input,'TRANSPORT.IN');
reset(input);
readln(ta);
for i := 1 to ta do begin
 read(n,v,l);
 te:=0;
 for j:=1 to n div 2 do begin
read;
read(t);
  te:=te+t;
 end;
 time1:=l*60/v+te;
 writeln(time1:10:2);
end;
  close(input);
end.
